## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# 🚨 WARNING
# DO NOT UPDATE PAST 0.1.9 WITHOUT TESTING
# Fedora 35's versions of protobuf and grpc will not work with newer versions and
# updating this package will break about 10-15 other Python Google Cloud SDK packages.
# 🚨 WARNING

# Upstream has no tests in the tests directory. 🤷🏻‍♂️
%bcond_with     tests

%global         srcname     google-cloud-access-context-manager
%global         forgeurl    https://github.com/googleapis/python-access-context-manager
Version:        0.1.9
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Google Cloud Client Libraries for google-cloud-access-context-manager

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource

Epoch:          1

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
Protobufs for Google Access Context Manager.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc *.md
%{python3_sitelib}/google_cloud_access_context_manager-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Thu Jun 02 2022 Major Hayden <major@redhat.com> 1:0.1.9-2
- ⬆ Bump release number for a new build

* Thu Jun 02 2022 Major Hayden <major@redhat.com> 1:0.1.9-1
- ⬇ Downgrade to 0.1.9

* Fri May 27 2022 Major Hayden <major@mhtx.net> 0.1.11-1
- Update to 0.1.11

* Tue Mar 08 2022 Major Hayden <major@redhat.com> 0.1.10-1
- Update to 0.1.10

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Nov 15 2021 Major Hayden <major@redhat.com> 0.1.9-1
- Update to 0.1.9

* Tue Oct 05 2021 Major Hayden <major@mhtx.net> 0.1.8-1
- Initial import (#1998334)
